[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCMMouseWheel

TCMMouseWheel - record holding data about the Mouse Wheel

## Declaration

Source position: controls.pp line 84

`type TCMMouseWheel = record`
`MSg: Cardinal;` |  |
`ShiftState: TShiftState;` |  |
`Unused: Byte;` |  |
`WheelData: SmallInt;` |  |
`case Integer of`
`0: (`
`XPos: SmallInt;` |  |
`YPos: SmallInt;` |  |
`);`
`1: (`
`Pos: TSmallPoint;` |  |
`Result: LRESULT;` |  |
`);`
`end;`

## Description

    Details held include:
              the Message associated with the wheel;
              the shift state (ie whether Shift, Alt, Control etc keys have been pressed);
              wheel data which can either be
    	  a position (X, Y coordinates) or
    	  a position plus an integer result.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .